get profile.md
Get profile
Management API · Your Profile · Deprecated
GET https://app.mk.io/api/profile/
This endpoint returns the details of the current user.
Requires authentication; no additional RBAC permissions required.
Authentication
Authorizationheader — Bearer authentication of the formBearer <token>.
Example request
curl -X GET "https://app.mk.io/api/profile/" \
-H "Authorization: Bearer <token>"
Responses
200 — OK
metadata· object · Required — Metadata.id· string · Required · format: uuid — The unique identifier of the user.
spec· object · Required — Specification.avatar· string · Required · <=200 characters — Avatar.company· string or null · Required · 0-1024 characters — Company.contact_email· string · Required · 1-1024 characters — Contact email addresscountry· string · Required · 0-1024 characters — Country.customer_id· string · Required — Primary customer relationship.customers· map from strings to string · Required — Customers.[any key]· string — map of additional properties
is_active· boolean · Required — Is this user active?is_admin· boolean · Required — Is this user a global administrator?jobrole· string or null · Required · 0-1024 characters — Job Role.name· string · Required · 1-1024 characters — Full name.phonenumber· string · Required · 0-1024 characters — Phone number including international dialling codesignup_problem· string or null · Required — Issues with signing up to MK.IO?
Example:
{
"metadata": {
"id": "00000000-0000-0000-0000-000000000000"
},
"spec": {
"avatar": "string",
"company": "string",
"contact_email": "string",
"country": "string",
"customer_id": "string",
"customers": {
"customer_id": "customer_name"
},
"is_active": true,
"is_admin": true,
"jobrole": "string",
"name": "string",
"phonenumber": "string",
"signup_problem": "string"
}
}
400 — Bad Request
error· object · Required — Pertinent information about the errorcode· string · Required — The error code.detail· string · Required — The error message.extraDetail· map from strings to any · Optional — Extra information regarding this error.[any key]· any — map of additional properties
ref· string · Required — A reference to the request that caused the error.status· integer · Required — The HTTP status code
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
401 — Unauthorized
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
403 — Forbidden
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
404 — Not Found
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
429 — Too Many Requests
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
500 — Internal Server Error
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
Source spec: management-api · operationId: [get]_/api/profile/